#
# spec file for package perl-CPAN
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-CPAN
Version:        2.26
Release:        1.1
%define cpan_name CPAN
Summary:        Query, download and build perl modules from CPAN sites
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AN/ANDK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(CPAN::Checksums)
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Requirements) >= 2.121000
BuildRequires:  perl(CPAN::Meta::YAML)
BuildRequires:  perl(CPAN::Perl::Releases)
BuildRequires:  perl(Compress::Bzip2)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Expect)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(HTTP::Tiny)
BuildRequires:  perl(IO::Compress::Base)
BuildRequires:  perl(IO::Zlib)
BuildRequires:  perl(JSON::PP)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Log::Log4perl)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Signature)
BuildRequires:  perl(Parse::CPAN::Meta)
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(Test::Harness) >= 2.62
BuildRequires:  perl(Text::Glob)
BuildRequires:  perl(YAML)
BuildRequires:  perl(YAML::Syck)
BuildRequires:  perl(YAML::XS)
Requires:       perl(Archive::Tar)
Requires:       perl(Archive::Zip)
Requires:       perl(CPAN::Checksums)
Requires:       perl(CPAN::Meta)
Requires:       perl(CPAN::Meta::Requirements) >= 2.121000
Requires:       perl(CPAN::Meta::YAML)
Requires:       perl(CPAN::Perl::Releases)
Requires:       perl(Compress::Bzip2)
Requires:       perl(Compress::Zlib)
Requires:       perl(Digest::SHA)
Requires:       perl(Expect)
Requires:       perl(ExtUtils::CBuilder)
Requires:       perl(File::HomeDir)
Requires:       perl(File::Which)
Requires:       perl(HTTP::Tiny)
Requires:       perl(IO::Compress::Base)
Requires:       perl(IO::Zlib)
Requires:       perl(JSON::PP)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Log::Log4perl)
Requires:       perl(Module::Build)
Requires:       perl(Module::Signature)
Requires:       perl(Parse::CPAN::Meta)
Requires:       perl(Term::ReadKey)
Requires:       perl(Test::Harness) >= 2.62
Requires:       perl(Text::Glob)
Requires:       perl(YAML)
Requires:       perl(YAML::Syck)
Requires:       perl(YAML::XS)
%{perl_requires}

%description
The CPAN module automates or at least simplifies the make and install of
perl modules and extensions. It includes some primitive searching
capabilities and knows how to use LWP, HTTP::Tiny, Net::FTP and certain
external download clients to fetch distributions from the net.

These are fetched from one or more mirrored CPAN (Comprehensive Perl
Archive Network) sites and unpacked in a dedicated directory.

The CPAN module also supports named and versioned _bundles_ of modules.
Bundles simplify handling of sets of related modules. See Bundles below.

The package contains a session manager and a cache manager. The session
manager keeps track of what has been fetched, built, and installed in the
current session. The cache manager keeps track of the disk space occupied
by the make processes and deletes excess space using a simple FIFO
mechanism.

All methods provided are accessible in a programmer style and in an
interactive shell style.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
# MANUAL BEGIN
## do not conflict with perl itself!
mv $RPM_BUILD_ROOT/usr/bin/cpan              $RPM_BUILD_ROOT/usr/bin/CPAN
mv $RPM_BUILD_ROOT/usr/share/man/man1/cpan.1 $RPM_BUILD_ROOT/usr/share/man/man1/CPAN.1
#mv $RPM_BUILD_ROOT/usr/share/man/man3        $RPM_BUILD_ROOT/usr/share/man/man3pm
# MANUAL END
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes PAUSE2003.pub PAUSE2005.pub PAUSE2007.pub PAUSE2009.pub PAUSE2011.pub PAUSE2015.pub PAUSE2019.pub README SlayMakefile Todo

%changelog
* Tue Mar 19 2019 coolo@suse.com
- updated to 2.26
  see /usr/share/doc/packages/perl-CPAN/Changes
  2019-03-19  k  <andk@cpan.org>
  * release 2.26
  * testfix release, no functional change
  * 97-run.t is now skipped when test is run by root user because
  perldoc often fails for root user (thanks to Binarus for
  reporting)
  * small additions to distroprefs and to the Makefile.PL
* Wed Mar 13 2019 coolo@suse.com
- updated to 2.25
  see /usr/share/doc/packages/perl-CPAN/Changes
  2019-03-03  k  <andk@cpan.org>
  * release 2.25
  * two weeks after the TRIAL release cpantesters have produced 298
  pass and 2 fail reports on 108 different configurations; the two
  fails are outliers I don't understand
  * no functional change over 2.25-TRIAL; only a couple in the
  distroprefs directory which is not used per default
  2019-02-16  k  <andk@cpan.org>
  * release 2.25-TRIAL
  * fix: Avoid a warning when prompting install_help intro (Nicolas
  R/atoomic)
  * testfix: load the tested module early, before juggling with @INC
  * testfix: replace an exec with system and exit (greetings to Windows)
  * two more distroprefs lines
  2019-02-14  k  <andk@cpan.org>
  * release 2.24-TRIAL
  * fix: set internal error state on writemakefile=NO in a rare case
  without any output
  * test fix: avoid a so far unreflected dependency on perldoc
  * a few more distroprefs
  2019-02-10  k  <andk@cpan.org>
  * release 2.23-TRIAL
  * fix: when option cleanup_after_install is active, prevent
  rerunning make install after a cleanup; allow it only with the
  help of force; also prevent that it is triggered too early
  * fix: address #121162: support distroprefs for install.env
  * fix: the option h on cpan script now really ignores all other
  options and arguments
  * fix: Local::Null::Logger on cpan script did not honour
  CPANSCRIPT_LOGLEVEL
  * address #122520: exit 1 on unknown options on cpan script
  * address #94941: refuse to generate reports with CPAN::Reporter
  lower than 1.2011
  * fix: distropref method "goto" now inherits CALLED_FOR and other
  attributes from caller
  * fix: correct a buggy version comparison when testing version of
  Net::Ping
  * portability fix: ensure that Compress::Zlib supports gzopen()
  * internal fix: never overwrite internal attribute CALLED_FOR (no
  known user-relevant implications)
  * tiny test fixed uncovered by cpantesters, various tiny typo
  corrections
  * a couple of new and updated distroprefs files
* Mon Dec 24 2018 coolo@suse.com
- updated to 2.22
  see /usr/share/doc/packages/perl-CPAN/Changes
  2018-12-23  k  <andk@cpan.org>
  * release 2.22
  * one week after the TRIAL release cpantesters have produced 306
  pass and 0 fail reports on 157 different configurations
  * no functional change over 2.22-TRIAL; only one change in the
  distroprefs directory which is not used per default and a minor
  change in the Makefile.PL to ensure that the signature for the
  tarball is produced with the current version of Module::Signature.
  2018-12-16  k  <andk@cpan.org>
  * release 2.22-TRIAL
  * fix: erroneous propagation from build_requires to requires
  (Andreas Koenig)
  * fix: ensure that the post install hook is always called (Andreas
  Koenig)
  * fix: the single blank line output that initializing CPAN does
  when it's not having to report anything (Achim Gratz)
  * doc fix: Correct spelling of Perl 5 command-line switch (James E
  Keenan)
  * doc fix: clarify use of pop/splice in the manpage of the
  Specfile plugin (Andreas Koenig)
  * a tiny amount of new and updated distroprefs files
  2018-09-22  k  <andk@cpan.org>
  * release 2.21-TRIAL
  * Avoid hash slice autovivification (Reini Urban)
  * make chdir argument always stringified (Reini Urban)
  * support JSON::PP as fallback for `reports` command when no YAML
  is available (Michiel Beijen)
  * fix #116507: cpan -j relative path issue (brian d foy)
  * Bug fix for plugin `Specfile`: Build.PL script_files may be
  non-ARRAY (Bernhard Graf)
  * Fix tiny POD error (Aaron Crane)
  * Added suggestion to the user to fix the common 'Terminal does
  not support AddHistory error.' (Howard)
  * fix #87474: build_require_install_policy=no: runtime dependency
  not installed if also listed as build_require (Olivier Mengue, Slaven
  Rezić, Peter Rabbitson, Andreas König)
  * We are finally under the Travis umbrella (Katherine Spice)
  * Adapt Jim Keenan's patch for _download status checking (brian d
  foy)
  * Use the right key in cpan(1) -g log message (brian d foy)
  * address #124726: check for having EEXIST before using it (thanks
  to Sergey Aleynikov for debugging)
  * fix an unini warning from recompile() (thanks to frederick for
  reporting)
  * fix recently introduced bug: isa_perl() returns perl version
  again and a test is added to ensure that (thanks to frederick for
  reporting)
  * a modest amount of new, imported and updated distroprefs files
  2017-11-26  k  <andk@cpan.org>
  * release 2.20-TRIAL
  * bugfix #123691: fix wrong wording of result message when r
  command hits an empty set (Thank to lorenzo taviani for reporting)
  * bugfix: remove spurious .= operator where an ordinary assignment
  was intended (Andreas Koenig)
  2017-11-05  k  <andk@cpan.org>
  * release 2.19-TRIAL
  * bugfix #118921: make the null logger a non-null logger (Thanks
  to Alexandr Ciornii and Zefram for reporting)
  * tighten regexp in isa_perl (#123482) so that perl5-0.21 be
  recognized as module (Thanks to Father Chrysostomos for the
  request)
  * bugfix for cleanup_after_install: do not attempt to cleanup the
  current directory when the current directory is the build
  directory
  * improve robustness when CPAN::Reporter::record_command fails
  * improve diagnostics when CPAN::Meta::Requirements is too old or
  missing; bootstrapping older perls with new CPAN.pm should be
  easier now
  * improve robustness on file open issues
  * improve robustness when yaml files cannot be loaded
  * bugfix #121914: cpan client may fail when something is
  both recommended AND required (Thanks to Sergey Aleynikov for the
  report)
  * package the PAUSE2019.pub public key for signatures
  * bugfix on cpan script regarding -x option (H.Merijn Brand)
  * couple of updates on distroprefs and minor fixes
  2017-03-30  k  <andk@cpan.org>
  * release 2.18-TRIAL
  * inject PERL_USE_UNSAFE_INC=1 also in "install" (Graham Knop,
  Leon Timmermans, Andreas Koenig)
  * bugfix: address #120781; protect circular Bundle definitions
  from deep recursion (Andreas Koenig)
  * various distroprefs files updated
  2017-02-16  k  <andk@cpan.org>
  * release 2.17-TRIAL2
  * bump version number for CPAN/Distribution.pm
  2017-02-15  k  <andk@cpan.org>
  * release 2.17-TRIAL
  * address #108: inject PERL_USE_UNSAFE_INC=1 on prepare, make, and
  test; survival strategy for perls compiled with
  - Ddefault_inc_excludes_dot (Todd Rinaldo, Graham Knop, Andreas
  Koenig)
  * make tests more robust against parallel runs and missing unzip
  program (Andreas Koenig)
* Sun Oct  8 2017 coolo@suse.com
- updated to 2.16
  see /usr/share/doc/packages/perl-CPAN/Changes
  2017-02-14  k  <andk@cpan.org>
  * release 2.16
  * four weeks after the TRIAL2 release cpantesters have produced
  392 pass and 5 fail; by my estimation the fails are two bugs in
  the test suite: (1) insufficient rubustness against make -j and
  (2) insufficient robustness against missing unzip program; both
  will be targeted at a later date
  * otherwise no functional change; only changes in the distroprefs/
  directory (which is not used per default) and minor changes to
  Makefile.PL and t/97*.t
  2017-01-16  k  <andk@cpan.org>
  * release 2.16-TRIAL2
  * release 2.16-TRIAL (had a broken manifest/signature file)
  * Adjust test 97-return_values.t to survive the removal of "."
  from @INC (Andreas Koenig)
  * Bugfix: fix wrong method call on $logger (Simon Legner)
  * Bugfix: protect version dependencies with eval to survive
  requirements like "2.08a" (Andreas Koenig)
  * Bugfix #47934: honour version requirement with "==" (Andreas
  Koenig)
  * partially address #82295: improve diagnostics (Andreas Koenig)
  * introduce new config variable cleanup_after_install: helps
  keeping build directory small (Andreas Koenig)
  * adopting changes from bleadperl related to removal of "." from
  @INC (Tony Cook)
  * distroprefs minor updates
  2016-07-17  k  <andk@cpan.org>
  * release 2.15-TRIAL
  * bugfix #115734 App::Cpan Installing from cwd broken (Boutros Lab
  Software, Andreas Koenig)
  * bugfix #115786 App::Cpan Can't locate object method "inst_file" via
  package "AAA::Demo" (dmitryb, Andreas Koenig)
  * bugfix #115340 recursive dependencies (Father Chrysostomos, Andreas Koenig)
  * bugfix #110833 ftp proxy (Father Chrysostomos, Andreas Koenig)
  * distroprefs a handful of updates
* Mon Jun 27 2016 coolo@suse.com
- updated to 2.14
  see /usr/share/doc/packages/perl-CPAN/Changes
  2016-06-25  k  <andk@cpan.org>
  * release 2.14
  * three weeks after the trial release; cpantesters have generated 383
  passes, no fail
  * no changes except for a few in the distroprefs/ directory which do not
  count because it is not used per default
  2016-06-04  k  <andk@cpan.org>
  * release 2.14-TRIAL
  * Fix failing tests on Windows (hopefully); tested on my i5-3317U
  notebook with Strawberry 5.24 and HARNESS_OPTIONS=j3: 104 wallclock secs
  * set SIGWINCH to IGNORE only when the key WINCH exists in %%ENV (avert
  noise on boxes that do not support it)
  * fix a rare bug when ->expand returned nothing for whatever reason
  * improve diagnostics on fails during testing (but it is still very hard
  to debug these tests)
  2016-05-16  k  <andk@cpan.org>
  * release 2.13-TRIAL
  * support for parallel running tests (tested with HARNESS_OPTIONS=j8)
  * bump all versions that have changed since 2.10 or 2.12 so we can
  generate a better pull request for bleadperl
  2015-12-31  k  <andk@cpan.org>
  * release 2.12-TRIAL
  * merge in a lot of small changes to App::Cpan and cpan (brian d foy)
  * rt#92435: non-deterministic dependency handling (Zefram)
  * fix "Redundant argument in sprintf" (Father Chrysostomos)
  * rt#102867: sequential build dir names (Zefram)
  * rt#102429: Tarball with bad permissions may kill CPAN shell (Slaven Rezic)
  * rt#71722: Locking issues on Windows (Slaven Rezic, Andreas Koenig)
  * several small changes improving NFS file locking (Andreas Koenig)
  * warn if system returns -1 when trying to make (David Golden)
  * github#91: fixes Help to fit in an 80-character console window (Steve
  Hay, Andreas Koenig)
  * encourage plugin names of the style CPAN::Plugin::$something (Slaven Rezic)
  * rt#107353: set SIGWINCH to IGNORE (rene.schickbauer, Andreas Koenig)
  * rt#106009: bump dependency on IO::Scalar to 2.105
* Fri Apr 17 2015 coolo@suse.com
- updated to 2.10
  see /usr/share/doc/packages/perl-CPAN/Changes
  2015-03-13  k  <andk@cpan.org>
  * release 2.10
  * same code as 2.10-TRIAL
  2015-02-22  k  <andk@cpan.org>
  * release 2.10-TRIAL
  * Fix Makefile/Build file test in prereq_pm (Craig A. Berry; RT 98265)
  * Don't use list assignment to %%ENV in Distribution::make (Craig A.
  Berry; RT 98265)
  * Bump $VERSION in changed modules (for integration into blead, post
  5.21.9) (Steve Hay)
  * bump requirement for Socket.pm on Windows (Alexandr Ciornii)
  2015-02-02  k  <andk@cpan.org>
  * release 2.09-TRIAL
  * tune verbosity of failing tests in 30shell.t (Andreas Koenig)
  * find or fetch MIRRORED.BY -- github #84 (brian d foy)
  * bump $VERSION in modules changed since CPAN-2.00 -- github #83 (Steve
  Hay)
  2015-01-05  k  <andk@cpan.org>
  * release 2.08-TRIAL
  * fixes binary test files github #81 (brian d foy)
  2015-01-04  k  <andk@cpan.org>
  * release 2.07-TRIAL
  * add support for Cwd::getdcwd and introduce workaround for a
  misbehaviour seen on Strawberry perl 5.20.1 (Andreas Koenig)
  * fixes bug that possibly CPAN::Meta::Requirements was not loaded in
  time (Andreas Koenig)
  * silences unini warnings from missing environment variables (tlhackque)
  * fixes chdir after building dependencies bug github #79 and #80 (David
  Schweikert)
  * some new and some improved distroprefes files, and some have gone too
  (Andreas Koenig, Slaven Rezic)
  * introduces experimental support for plugins/hooks (#apw2014 in
  Salzburg; Andreas Koenig, Branislav Zahradnik)
  * catches more user errors on the 'o conf' commandline (Andreas Koenig)
  * integrates the App::Cpan sources taken over from brian with lots of
  cleanup from him, so that they have less chance to digress (brian d foy)
  * fixes clear_credentials that were completely broken (Len Jaffe)
  * fixes typos (David Horner)
  2014-08-06  k  <andk@cpan.org>
  * release 2.06-TRIAL
  * lazy load CPAN::Meta::Requirements (David Golden)
  * fix $rtt handling in App::Cpan (Peter Martini)
  * bump CPAN::Meta::Requirements requirement (Karen Etheridge)
  * fix unini warning in App::Cpan (mudler)
  * tiny distroprefs fixes (Andreas Koenig)
  * remove beta warning from distroprefs documentation (Andreas Koenig)
  * do not check recursion on optional dependencies (Andreas Koenig)
  * address rt.cpan.org #95271: sanity check META.yml to contain a hash
  (Alexandr Ciornii, Andreas Koenig)
  2014-04-18  k  <andk@cpan.org>
  * release 2.05
  * amendments to the Changes file only, no code change: the github issue
  numbers were confused in the TRIAL releases. Thanks to Steve Hay for
  spotting.
  2014-04-04  k  <andk@cpan.org>
  * release 2.05-TRIAL2
  * doc improvement for scan_cache/atstart (Slaven Rezic)
  * test improvement in 31session to fix false positives
  2014-03-31  k  <andk@cpan.org>
  * release 2.05-TRIAL
  * take github #68 as 086c901: smoke faster (Alexandr Ciornii)
  * take github #67 as cfa93ad, to fix github #64: local::lib shell
  variable string output (David Golden)
  * take github #66 as 4c0da4e, to fix github #65: loop with "notest test
  some-module-with-dependencies" (Andreas Koenig, David Golden)
  2014-03-18  Andreas Koenig  <k@UX31A>
  * release 2.04-TRIAL
  * history of master branch was rewritten after Tour de France bughunting
  (Lyon #QA2014); apologies to all repository followers: the real history,
  as it actually went, is not worth being recorded in the master branch.
  * address #91706 and #86915: the 'force install' bug and the endless
  loop bugs reported in the two tickets are fixed (joined forces)
  * new configure option 'use_prompt_default' (David Golden)
  * add new dummy distros OptionalPrereq and CircularPrereq for testing
  recommends/suggests support
  * experimental recommends/suggests support (David Golden, Andreas Koenig)
  * enable hiding of directories in the distroprefs tree (suggested by
  Slaven Rezić)
  2013-09-15  k  <andk@cpan.org>
  * release 2.03-TRIAL
  * load META.yml not META.json (Tatsuhiko Miyagawa)
  * support numerics in cpan IDs (Tatsuhiko Miyagawa)
  * address #88565: fix unreachable core bug (Father Chrysostomos, David
  Golden, bb225be54aff753058e149c95ac3047f54892746)
  * address #76831: spaces on Win32 combined with
  make_install_make_command (Reini Urban, Steve Hay)
  * address #86405, #86406: fix typos, clarify comments (found by David
  Steinbrunner)
  * address #86915: upgrade build method from "make" to "test" on
  dependencies declared as build_requires (Andreas Koenig,
  fa1d3087d5246a08741c944768a9732c35c944af)
  2013-06-23  Andreas Koenig  <k@UX31A>
  * release 2.02-TRIAL
  * the production of META.json was missing in 2.01
  2013-06-22  Andreas Koenig  <k@UX31A>
  * release 2.01-TRIAL
  * add binmode in two places in CPAN::Tarzip (Dave Saville via RT #86328)
  * make distroprefs tolerant against missing prefs dir (akoenig)
  * regain 5.6.2 compatibility (akoenig)
  * add PAUSE key up to 2015 (akoenig)
  2013-06-18  Andreas Koenig  <k@UX31A>
  * Use CPAN::Mirrors correctly (brian d foy)
  * Add default_mirror(), clean up docs a bit (brian d foy)
  * allow subdirectories in distroprefs (Alexandr Ciornii)
  * www.cpan.org is now the default CPAN mirror (David Golden)
  * Adds recommends_policy and suggests_policy to support recommended and
  suggested prerequisites (David Golden; incomplete because partially
  reverted)
  * Adds recommends_policy and suggests_policy to support (David Golden;
  incomplete because partially reverted)
  * Fix various prerequisite resolution bugs (David Golden)
  * Internal: Split 'make' method into 'prepare' and 'make' methods
  (Matt S. Trout and David Golden)
  * Internal: Refactor get/prepare/make/test/install shortcut logic
  and return values (David Golden)
  2013-04-12  Andreas Koenig  <k@UX31A>
  * release 2.00 (at Lancester #QA2013)
  * Removed the trial status for the release in the Makefile.PL
  * Merge with App::Cpan 0.61 (just a version number change)
  2013-02-06  k  <k@k83.linux.bogus>
  * release 2.00-TRIAL
  * import App::Cpan 0.60_02 from brian d foy
  * RT#82589 doc fix thanks to Zefram
  * several portability fixes for 5.6.2
  * RT#83042 workaround for current circular dependency in CPANPLUS and
  CPANPLUS::Dist::Build
  2012-10-16  Andreas Koenig  <andreas.koenig.7os6VVqR@franz.ak.mind.de>
  * release 1.99_51
  * RT #79969: fix incompatibilities with VMS (Craig Berry)
  * bugfix: distroprefs of type pl/args were dropped for 'perl Build.PL'
  * RT #73742: watch build_dirs and react calmly when one has gone lost
  2011-08-07  Andreas J. Koenig  <andk@cpan.org>
  * release 1.9800
  * RT #69463: fix memory leak in CacheMgr (Serguei Trouchelle)
  2011-06-27  Andreas J. Koenig  <andk@cpan.org>
  * release 1.97_51
  * address #68835: Changed read_meta to ignore dynamic_config (David Golden)
  * bugfix: refuse to store_persistent if the own build_dir is not
  available (Andreas Koenig)
  * cosmetics: remove "Going to" from the beginning of user-visible
  strings (Jesse Vincent)
  * flock adjustments for Win32 from activestate (Christian Walde)
* Fri Apr 17 2015 coolo@suse.com
- updated to 1.9800
  see /usr/share/doc/packages/perl-CPAN/Changes
  2011-08-07  Andreas J. Koenig  <andk@cpan.org>
  * release 1.9800
  * RT #69463: fix memory leak in CacheMgr (Serguei Trouchelle)
  2011-06-27  Andreas J. Koenig  <andk@cpan.org>
  * release 1.97_51
  * address #68835: Changed read_meta to ignore dynamic_config (David Golden)
  * bugfix: refuse to store_persistent if the own build_dir is not
  available (Andreas Koenig)
  * cosmetics: remove "Going to" from the beginning of user-visible
  strings (Jesse Vincent)
  * flock adjustments for Win32 from activestate (Christian Walde)
* Sat May 14 2011 jw@novell.com
- do not install /usr/bin/cpan, but /usr/bin/CPAN
* Fri May 13 2011 jw@novell.com
- initial pull from CPAN with cpanspec_obs-0.6
* Fri May 13 2011 jw@novell.com
- initial package 1.9600
  * created by cpanspec 1.78.04
